Create an invoice
curl --request POST \
--url https://api.arcenpay.com/api/v1/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lines": [
{
"description": "<string>",
"unitAmount": 123,
"quantity": 1,
"taxRate": 0,
"metadata": {}
}
],
"environmentMode": "DEVELOPMENT",
"customerEmail": "[email protected]",
"customerName": "<string>",
"customerWallet": "<string>",
"currency": "USDC",
"dueAt": "2023-11-07T05:31:56Z",
"planId": "<string>",
"metadata": {}
}
'import requests
url = "https://api.arcenpay.com/api/v1/invoices"
payload = {
"lines": [
{
"description": "<string>",
"unitAmount": 123,
"quantity": 1,
"taxRate": 0,
"metadata": {}
}
],
"environmentMode": "DEVELOPMENT",
"customerEmail": "[email protected]",
"customerName": "<string>",
"customerWallet": "<string>",
"currency": "USDC",
"dueAt": "2023-11-07T05:31:56Z",
"planId": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
lines: [
{
description: '<string>',
unitAmount: 123,
quantity: 1,
taxRate: 0,
metadata: {}
}
],
environmentMode: 'DEVELOPMENT',
customerEmail: '[email protected]',
customerName: '<string>',
customerWallet: '<string>',
currency: 'USDC',
dueAt: '2023-11-07T05:31:56Z',
planId: '<string>',
metadata: {}
})
};
fetch('https://api.arcenpay.com/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"id": "in_abc123",
"number": "INV-ACME-0001",
"status": "DRAFT",
"currency": "USDC",
"total": "105.000000",
"customerEmail": "<string>",
"customerWallet": "<string>",
"subtotal": "100.000000",
"taxTotal": "5.000000",
"amountPaid": "0.000000",
"amountCredited": "0.000000",
"amountOutstanding": "105.000000",
"dueAt": "2023-11-07T05:31:56Z",
"issuedAt": "2023-11-07T05:31:56Z",
"planId": "<string>",
"metadata": {},
"lineItems": [
{
"description": "<string>",
"quantity": 123,
"unitAmount": "100.000000",
"taxRate": "5.0000",
"lineSubtotal": "<string>",
"lineTax": "<string>",
"lineTotal": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z"
},
"downloadUrl": "<string>"
}{
"error": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Invoices
Create an invoice
Creates and issues an invoice, renders its PDF, fires invoice.issued, and emails the customer when a customerEmail is provided. Requires an invoice write permission.
POST
/
invoices
Create an invoice
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum array length:
1Show child attributes
Show child attributes
Available options:
DEVELOPMENT, PRODUCTION Last modified on October 4, 2026

